Package com.collibra.dgc.core.api.dto.activitystream

# Class FindActivitiesRequest.Builder

Object
Builder

Enclosing class:
  `FindActivitiesRequest`

public static final class FindActivitiesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindActivitiesRequest.Builder`
  `activityType(ActivityType activityType)`
  `FindActivitiesRequest`
  `build()`
  `FindActivitiesRequest.Builder`
  `callCountEnabled(boolean callCountEnabled)`
  `FindActivitiesRequest.Builder`
  `callId(String callId)`
  `FindActivitiesRequest.Builder`
  `categories(Set<ActivityFilterCategory> categories)`
  `FindActivitiesRequest.Builder`
  `contextId(UUID contextId)`
  `FindActivitiesRequest.Builder`
  `endDate(Long endDate)`
  `FindActivitiesRequest.Builder`
  `involvedPeopleIds(Set<UUID> involvedPeopleIds)`
  `FindActivitiesRequest.Builder`
  `involvedRoleIds(Set<UUID> involvedRoleIds)`
  `FindActivitiesRequest.Builder`
  `limit(int limit)`
  `FindActivitiesRequest.Builder`
  `offset(int offset)`
  `FindActivitiesRequest.Builder`
  `performedByRoleIds(Set<UUID> performedByRoleIds)`
  `FindActivitiesRequest.Builder`
  `performedByUserId(UUID performedByUserId)`
  `FindActivitiesRequest.Builder`
  `resourceDiscriminators(Set<String> resourceDiscriminators)`
  `FindActivitiesRequest.Builder`
  `resourceTypes(Set<ResourceType> resourceTypes)`
  `FindActivitiesRequest.Builder`
  `startDate(Long startDate)`
  `FindActivitiesRequest.Builder`
  `taskId(UUID taskId)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindActivitiesRequest.Builder offset(int offset)

  - ### limit

    public FindActivitiesRequest.Builder limit(int limit)

  - ### taskId

    public FindActivitiesRequest.Builder taskId(UUID taskId)
    Returns:
      `this`.

  - ### contextId

    public FindActivitiesRequest.Builder contextId(UUID contextId)
    Returns:
      `this`.

  - ### involvedPeopleIds

    public FindActivitiesRequest.Builder involvedPeopleIds(Set<UUID> involvedPeopleIds)
    Returns:
      `this`.

  - ### involvedRoleIds

    public FindActivitiesRequest.Builder involvedRoleIds(Set<UUID> involvedRoleIds)
    Returns:
      `this`.

  - ### performedByUserId

    public FindActivitiesRequest.Builder performedByUserId(UUID performedByUserId)
    Returns:
      `this`.

  - ### performedByRoleIds

    public FindActivitiesRequest.Builder performedByRoleIds(Set<UUID> performedByRoleIds)
    Returns:
      `this`.

  - ### activityType

    public FindActivitiesRequest.Builder activityType(ActivityType activityType)
    Returns:
      `this`.

  - ### callId

    public FindActivitiesRequest.Builder callId(String callId)
    Returns:
      `this`.

  - ### categories

    public FindActivitiesRequest.Builder categories(Set<ActivityFilterCategory> categories)
    Returns:
      `this`.

  - ### resourceTypes

    public FindActivitiesRequest.Builder resourceTypes(Set<ResourceType> resourceTypes)
    Returns:
      `this`.

  - ### resourceDiscriminators

    public FindActivitiesRequest.Builder resourceDiscriminators(Set<String> resourceDiscriminators)
    Returns:
      `this`.

  - ### startDate

    public FindActivitiesRequest.Builder startDate(Long startDate)
    Returns:
      `this`.

  - ### endDate

    public FindActivitiesRequest.Builder endDate(Long endDate)
    Returns:
      `this`.

  - ### callCountEnabled

    public FindActivitiesRequest.Builder callCountEnabled(boolean callCountEnabled)
    Returns:
      `this`.

  - ### build

    public FindActivitiesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`